#!/usr/bin/env python3
import sys
import glob
import subprocess
import re

if __name__ == "__main__":
    j = open(sys.argv[1]).read()
    p = open(sys.argv[2], "w")

    p.write("images = [\n")
    pics = glob.glob("public/images/*.png")
    for pic in pics:
        r = subprocess.check_output(["file", pic]).decode("utf8")
        x = re.match(r"public/images/(.*?)\.png:.*, (\d+) x (\d+),", r)
        n = x.group(1)
        w = int(x.group(2))
        h = int(x.group(3))
        p.write("    (\"{n}\", {w}, {h}),\n".format(**locals()))
    p.write("]\n")

    p.write("""\
true = True
false = False
map_data = \\
""")
    p.write(j)

