#!/usr/bin/env python3
# encoding: UTF-8

import pyjd
from pyjamas.ui.RootPanel import RootPanel
from pyjamas.ui.FocusPanel import FocusPanel
from pyjamas.ui.HTML import HTML

import kaos

if __name__ == "__main__":
    pyjd.setup("public/kaos.html")
    c = kaos.GameCanvas(640, 360)
    panel = FocusPanel(Widget = c)
    panel.setStyleName("panel")
    RootPanel().add(panel)
    panel.addKeyboardListener(c)
    panel.addMouseListener(c)
    panel.setFocus(True)
    c.text = HTML("""\
"It's a one way trip", the old wizard said to the princess,
"if you go to the land of Kaos you can never step back."
""")
    c.text.setStyleName("text")
    RootPanel().add(c.text)

    h = HTML("""\
Click to move. 100% Python3: <a href="index.py.html">View source code.</a>
""")
    h.setStyleName("info")
    RootPanel().add(h)

    c.getElement().focus()

    pyjd.run()
