
class Creature:
    def __init__(self):
        self.x = 50 * 32
        self.y = 50 * 32
        self.u = 0
        self.v = 0
        self.f = 0
        self.dieing = 0

    def tick(self, player):
        if self.dieing:
            self.dieing += 1
        else:
            if self.is_blocked(player):
                self.dieing = 1

    def try_move(self, dx, dy):
        oldx = self.x
        oldy = self.y
        self.x += dx
        self.y += dy
        tx = self.x // 32
        ty = self.y // 32
        if game.tilemap.layers[0][tx + game.tilemap.w * ty] != 11:
            self.x = oldx
            self.y = oldy

    def is_blocked(self, player):
        tx = self.x // 32
        ty = self.y // 32
        if not player:
            if game.tilemap.layers[1][tx + game.tilemap.w * ty] == 118:
                return True
        if game.tilemap.layers[0][tx + game.tilemap.w * ty] != 11:
            return True
        for pos in ((-1, 0), (1, 0), (0, -1), (0, 1)):
            x = pos[0] + tx
            y = pos[1] + ty
            if game.tilemap.layers[0][x + game.tilemap.w * y] == 11:
                return False
        return True
